Beefy Boxes and Bandwidth Generously Provided by pair Networks Bob
We don't bite newbies here... much
 
PerlMonks  

Problem installing Apache Lucy

by snake_ (Initiate)
on Jun 29, 2011 at 09:13 UTC ( #911915=perlquestion: print w/ replies, xml ) Need Help??
snake_ has asked for the wisdom of the Perl Monks concerning the following question:

Hi, I need to install Apache Lucy, so I tried from Cpan using the command "install Lucy", but it fails: "Make had returned bad status...".
So I tried to make it, and: "Could not make: Unknown error".
Then, I typed "look Lucy" and I tried to do "perl Makefile.PL", but there isn't any Makefile, so I used "perl Build.pl", and following : "Build", but it crashes, with the following errors:
core\Lucy\Store\FSDirHandle.c: In function `lucy_FSDH_do_open': core\Lucy\Store\FSDirHandle.c:198: error: invalid operands to binary > +> core\Lucy\Store\FSDirHandle.c:198: error: invalid operands to binary & core\Lucy\Store\FSDirHandle.c:212: error: invalid operands to binary > +> core\Lucy\Store\FSDirHandle.c:212: error: invalid operands to binary & core\Lucy\Store\FSDirHandle.c: In function `lucy_FSDH_close': core\Lucy\Store\FSDirHandle.c:269: error: invalid operands to binary & core\Lucy\Store\FSDirHandle.c:269: error: invalid operands to binary & error building dll file from 'core/Lucy/Store/FSDirHandle.c' at C:/str +awberl/lib/ExtUtils/CBuilder/Platform/Windows.pm line 130.
I have WXP, perl 5.10.1. Any idea to solve that? Thanks!
Does anyone worked with Apache Lucene or similar? I need to index XML files and then make searchs using the index. Thanks!

Comment on Problem installing Apache Lucy
Download Code
Re: Problem installing Apache Lucy
by moritz (Cardinal) on Jun 29, 2011 at 09:43 UTC
      Thanks for your help Moritz!
      I found something similar here, and I posted a comment.
      Keep looking for the solution.
        It says edit core\Lucy\Store\FSDirHandle.c and replace

        INCREF with LUCY_INCREF

        DECREF with LUCY_DECREF

        FREEMEM with LUCY_FREEMEM

        That is a start, but it won't fix everything

Re: Problem installing Apache Lucy
by creamygoodness (Curate) on Jun 30, 2011 at 04:40 UTC

    First, moritz++ for mentioning the Lucy mailing lists. I don't think any Lucy devs monitor Perlmonks that closely, but we do watch our own lists.

    Second, I've been hard at work this past week on Windows compatibility for Lucy, and have fixed a number of issues. I tested Lucy 0.1.0 with MSVC and a custom compiled Perl 5.10.0 prior to release, and it used to be the case that if I could get MSVC working, just about everything else would fall into place. However, it turns out that a significant number of fixes had to go in in order to support both Strawberry Perl and Cygwin. These fixes are nearly done -- Lucy svn trunk builds and tests clean with both Cygwin and ActivePerl/MSVC; Strawberry Perl is a few tweaks away.

    Once we have ActivePerl, Strawberry Perl and Cygwin building and testing clean, we expect to move towards an 0.1.1 release. I don't think it's worth your while to tweak out the current release until it builds -- there are just too many patches that have to be applied. However, if you'd like to test SVN trunk in the meantime, or test the 0.1.1 artifacts when we prepare and vote on them, that'd be great!

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: perlquestion [id://911915]
Approved by marto
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others scrutinizing the Monastery: (11)
As of 2014-04-18 13:52 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    April first is:







    Results (468 votes), past polls